#include <stdio.h>
#include <conio.h>

int main(void)
{
	int x[2], i, razlika;
	char c1, c2, str[2];
	
	scanf("%s", &str);
	c1 = str[0];
	c2 = str[1];
	
	scanf("%d %d", &x[0], &x[1]);
	
	if (x[0] >= x[1])
		razlika = x[0] - x[1];
	else
		razlika = x[1] - x[0];
		
	if(c1 != c2 && razlika < 2)
	{	
		if (razlika == 0)
		{
			for (i = 0; i < (x[0] + x[1]) / 2; i++)
				printf("%c%c", c1, c2);	
		}
		else
		{
			printf("%c", c2);
			for (i = 0; i < (x[0] + x[1] - 1) / 2; i++)
				printf("%c%c", c1, c2);		
		}	
	}
	else
		printf("nemoguce");
	return 0;
}